QuotaUsage.Builder (Apache Hadoop Common 3.5.0 API)
Description: declaration: package: org.apache.hadoop.fs, class: QuotaUsage, class: Builder

Package org.apache.hadoop.fs

# Class QuotaUsage.Builder

java.lang.Object
org.apache.hadoop.fs.QuotaUsage.Builder

Direct Known Subclasses:
  `ContentSummary.Builder`

Enclosing class:
  QuotaUsage

public static class QuotaUsage.Builder extends Object
Builder class for QuotaUsage.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Builder()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `QuotaUsage`
  `build()`
  `QuotaUsage.Builder`
  `fileAndDirectoryCount(long count)`
  `QuotaUsage.Builder`
  `quota(long quota)`
  `QuotaUsage.Builder`
  `spaceConsumed(long spaceConsumed)`
  `QuotaUsage.Builder`
  `spaceQuota(long spaceQuota)`
  `QuotaUsage.Builder`
  `typeConsumed(long[] typeConsumed)`
  `QuotaUsage.Builder`
  `typeConsumed(StorageType type, long consumed)`
  `QuotaUsage.Builder`
  `typeQuota(long[] typeQuota)`
  `QuotaUsage.Builder`
  `typeQuota(StorageType type, long quota)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Builder

    public Builder()

- ## Method Details

  - ### fileAndDirectoryCount

    public QuotaUsage.Builder fileAndDirectoryCount(long count)

  - ### quota

    public QuotaUsage.Builder quota(long quota)

  - ### spaceConsumed

    public QuotaUsage.Builder spaceConsumed(long spaceConsumed)

  - ### spaceQuota

    public QuotaUsage.Builder spaceQuota(long spaceQuota)

  - ### typeConsumed

    public QuotaUsage.Builder typeConsumed(long[] typeConsumed)

  - ### typeQuota

    public QuotaUsage.Builder typeQuota(StorageType type, long quota)

  - ### typeConsumed

    public QuotaUsage.Builder typeConsumed(StorageType type, long consumed)

  - ### typeQuota

    public QuotaUsage.Builder typeQuota(long[] typeQuota)

  - ### build

    public QuotaUsage build()